Delen via


Api - Create Or Update

Maakt nieuwe of werkt bestaande opgegeven API van het API Management-service-exemplaar bij.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ApiManagement/service/{serviceName}/apis/{apiId}?api-version=2025-03-01-preview

URI-parameters

Name In Vereist Type Description
apiId
path True

string

minLength: 1
maxLength: 80
pattern: ^[^*#&+:<>?]+$

API-revisie-id. Moet uniek zijn in het huidige EXEMPLAAR van de API Management-service. Langlopende revisie heeft; rev=n als achtervoegsel waarbij n het revisienummer is.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

De naam van de resourcegroep. De naam is hoofdletterongevoelig.

serviceName
path True

string

minLength: 1
maxLength: 50
pattern: ^[a-zA-Z](?:[a-zA-Z0-9-]*[a-zA-Z0-9])?$

De naam van de API Management-service.

subscriptionId
path True

string

minLength: 1

De id van het doelabonnement.

api-version
query True

string

minLength: 1

De API-versie die voor deze bewerking moet worden gebruikt.

Aanvraagkoptekst

Name Vereist Type Description
If-Match

string

ETag van de entiteit. Niet vereist bij het maken van een entiteit, maar wel bij het bijwerken van een entiteit.

Aanvraagbody

Name Vereist Type Description
properties.path True

string

minLength: 0
maxLength: 400

Relatieve URL die deze API en alle bijbehorende resourcepaden uniek identificeert binnen het API Management-service-exemplaar. Deze wordt toegevoegd aan de basis-URL van het API-eindpunt die is opgegeven tijdens het maken van het service-exemplaar om een openbare URL voor deze API te vormen.

apiRevision

string

minLength: 1
maxLength: 100

Beschrijft de revisie van de API. Als er geen waarde is opgegeven, wordt standaardrevisie 1 gemaakt

apiRevisionDescription

string

maxLength: 256

Beschrijving van de API-revisie.

apiVersion

string

maxLength: 100

Geeft de versie-id van de API aan als de API is geversied

apiVersionDescription

string

maxLength: 256

Beschrijving van de API-versie.

apiVersionSetId

string

Een resource-id voor de gerelateerde ApiVersionSet.

authenticationSettings

AuthenticationSettingsContract

Verzameling van verificatie-instellingen die zijn opgenomen in deze API.

contact

ApiContactInformation

Contactgegevens voor de API.

description

string

Beschrijving van de API. Kan HTML-opmaaktags bevatten.

isCurrent

boolean

Geeft aan of API-revisie de huidige API-revisie is.

license

ApiLicenseInformation

Licentiegegevens voor de API.

properties.apiType

SoapApiType

Type API dat moet worden gemaakt.

  • http maakt een REST API aan
  • soap maakt een SOAP-passthrough-API aan
  • websocket maakt websocket API
  • graphql maakt GraphQL API. Nieuwe typen kunnen in de toekomst worden toegevoegd.
properties.apiVersionSet

ApiVersionSetContractDetails

Details van versieset

properties.displayName

string

minLength: 1
maxLength: 300

API-naam. Moet 1 tot 300 tekens lang zijn.

properties.format

ContentFormat

Indeling van de inhoud waarin de API wordt geïmporteerd. Nieuwe indelingen kunnen in de toekomst worden toegevoegd

properties.protocols

Protocol[]

Beschrijft op welke protocollen de bewerkingen in deze API kunnen worden aangeroepen.

properties.serviceUrl

string

minLength: 0
maxLength: 2000

Absolute URL van de back-endservice die deze API implementeert. Mag niet langer zijn dan 2000 tekens.

properties.sourceApiId

string

API-id van de bron-API.

properties.translateRequiredQueryParameters

TranslateRequiredQueryParametersConduct

Strategie voor het vertalen van vereiste queryparameters naar sjabloonparameters. Standaard heeft de waarde 'sjabloon'. Mogelijke waarden: 'template', 'query'

properties.value

string

Inhoudswaarde bij het importeren van een API.

properties.wsdlSelector

ApiCreateOrUpdatePropertiesWsdlSelector

Criteria om het importeren van WSDL te beperken tot een subset van het document.

subscriptionKeyParameterNames

SubscriptionKeyParameterNamesContract

Protocollen over welke API beschikbaar wordt gemaakt.

subscriptionRequired

boolean

Hiermee geeft u op of een API- of productabonnement vereist is voor toegang tot de API.

termsOfServiceUrl

string

Een URL naar de servicevoorwaarden voor de API. MOET de indeling van een URL hebben.

type

ApiType

Type of API.

Antwoorden

Name Type Description
200 OK

ApiContract

De aanvraag is voltooid.

Kopteksten

  • Azure-AsyncOperation: string
  • ETag: string
  • location: string
201 Created

ApiContract

De aanvraag is geslaagd en er is een nieuwe resource gemaakt.

Kopteksten

  • Azure-AsyncOperation: string
  • ETag: string
  • location: string
Other Status Codes

ErrorResponse

Een onverwachte foutreactie.

Beveiliging

azure_auth

OAuth2-stroom voor Azure Active Directory.

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Name Description
user_impersonation Uw gebruikersaccount imiteren

Voorbeelden

ApiManagementCreateApi
ApiManagementCreateApiClone
ApiManagementCreateApiNewVersionUsingExistingApi
ApiManagementCreateApiRevisionFromExistingApi
ApiManagementCreateApiUsingImportOverrideServiceUrl
ApiManagementCreateApiUsingOai3Import
ApiManagementCreateApiUsingOai3ImportWithTranslateRequiredQueryParametersConduct
ApiManagementCreateApiUsingSwaggerImport
ApiManagementCreateApiUsingWadlImport
ApiManagementCreateApiWithMultipleAuthServers
ApiManagementCreateApiWithMultipleOpenIdConnectProviders
ApiManagementCreateApiWithOpenIdConnect
ApiManagementCreateGraphQLApi
ApiManagementCreateGrpcApi
ApiManagementCreateODataApi
ApiManagementCreateSoapPassThroughApiUsingWsdlImport
ApiManagementCreateSoapToRestApiUsingWsdlImport
ApiManagementCreateWebSocketApi

ApiManagementCreateApi

Voorbeeldaanvraag

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview

{
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "authenticationSettings": {
      "oAuth2": {
        "authorizationServerId": "authorizationServerId2283",
        "scope": "oauth2scope2580"
      }
    },
    "displayName": "apiname1463",
    "protocols": [
      "https",
      "http"
    ],
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}

Voorbeeldrespons

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": {
      "oAuth2": {
        "authorizationServerId": "authorizationServerId2283",
        "scope": "oauth2scope2580"
      },
      "oAuth2AuthenticationSettings": [
        {
          "authorizationServerId": "authorizationServerId2283",
          "scope": "oauth2scope2580"
        }
      ]
    },
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": {
      "oAuth2": {
        "authorizationServerId": "authorizationServerId2283",
        "scope": "oauth2scope2580"
      },
      "oAuth2AuthenticationSettings": [
        {
          "authorizationServerId": "authorizationServerId2283",
          "scope": "oauth2scope2580"
        }
      ]
    },
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}

ApiManagementCreateApiClone

Voorbeeldaanvraag

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api2?api-version=2025-03-01-preview

{
  "properties": {
    "path": "echo2",
    "description": "Copy of Existing Echo Api including Operations.",
    "displayName": "Echo API2",
    "isCurrent": true,
    "protocols": [
      "http",
      "https"
    ],
    "serviceUrl": "http://echoapi.cloudapp.net/api",
    "sourceApiId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/58a4aeac497000007d040001",
    "subscriptionRequired": true
  }
}

Voorbeeldrespons

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "echoapi2",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapi2",
  "properties": {
    "path": "echo2",
    "description": "Copy of Existing Echo Api including Operations.",
    "apiRevision": "1",
    "displayName": "Echo API2",
    "isCurrent": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://echoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "subscriptionRequired": true
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "echoapi2",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapi2",
  "properties": {
    "path": "echo2",
    "description": "Copy of Existing Echo Api including Operations.",
    "apiRevision": "1",
    "displayName": "Echo API2",
    "isCurrent": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://echoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "subscriptionRequired": true
  }
}

ApiManagementCreateApiNewVersionUsingExistingApi

Voorbeeldaanvraag

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapiv3?api-version=2025-03-01-preview

{
  "properties": {
    "path": "echo2",
    "description": "Create Echo API into a new Version using Existing Version Set and Copy all Operations.",
    "apiVersion": "v4",
    "apiVersionSetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
    "displayName": "Echo API2",
    "isCurrent": true,
    "protocols": [
      "http",
      "https"
    ],
    "serviceUrl": "http://echoapi.cloudapp.net/api",
    "sourceApiId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoPath",
    "subscriptionRequired": true
  }
}

Voorbeeldrespons

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "echoapiv3",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapiv3",
  "properties": {
    "path": "echo2",
    "description": "Create Echo API into a new Version using Existing Version Set and Copy all Operations.",
    "apiRevision": "1",
    "apiVersion": "v4",
    "apiVersionSet": {
      "name": "Echo API2",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
      "versioningScheme": "Segment"
    },
    "apiVersionSetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
    "displayName": "Echo API2",
    "isCurrent": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://echoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "subscriptionRequired": true
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "echoapiv3",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapiv3",
  "properties": {
    "path": "echo2",
    "description": "Create Echo API into a new Version using Existing Version Set and Copy all Operations.",
    "apiRevision": "1",
    "apiVersion": "v4",
    "apiVersionSet": {
      "name": "Echo API2",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
      "versioningScheme": "Segment"
    },
    "apiVersionSetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
    "displayName": "Echo API2",
    "isCurrent": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://echoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "subscriptionRequired": true
  }
}

ApiManagementCreateApiRevisionFromExistingApi

Voorbeeldaanvraag

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api;rev=3?api-version=2025-03-01-preview

{
  "properties": {
    "path": "echo",
    "apiRevisionDescription": "Creating a Revision of an existing API",
    "serviceUrl": "http://echoapi.cloudapp.net/apiv3",
    "sourceApiId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api"
  }
}

Voorbeeldrespons

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "echo-api;rev=3",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api;rev=3",
  "properties": {
    "path": "echo",
    "apiRevision": "3",
    "apiRevisionDescription": "Creating a Revision of an existing API",
    "displayName": "Echo API",
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://echoapi.cloudapp.net/apiv3",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "subscriptionRequired": true
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "echo-api;rev=3",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api;rev=3",
  "properties": {
    "path": "echo",
    "apiRevision": "3",
    "apiRevisionDescription": "Creating a Revision of an existing API",
    "displayName": "Echo API",
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://echoapi.cloudapp.net/apiv3",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "subscriptionRequired": true
  }
}

ApiManagementCreateApiUsingImportOverrideServiceUrl

Voorbeeldaanvraag

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2025-03-01-preview

{
  "properties": {
    "format": "swagger-link",
    "path": "petstoreapi123",
    "serviceUrl": "http://petstore.swagger.wordnik.com/api",
    "value": "http://apimpimportviaurl.azurewebsites.net/api/apidocs/"
  }
}

Voorbeeldrespons

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apidocs",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs",
  "properties": {
    "path": "petstoreapi123",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger \n    at <a href=\"http://swagger.wordnik.com\">http://swagger.wordnik.com</a> or on irc.freenode.net, #swagger.  For this sample,\n    you can use the api key \"special-key\" to test the authorization filters",
    "apiRevision": "1",
    "displayName": "Swagger Sample App",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.wordnik.com/api",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "apidocs",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs",
  "properties": {
    "path": "petstoreapi123",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger \n    at <a href=\"http://swagger.wordnik.com\">http://swagger.wordnik.com</a> or on irc.freenode.net, #swagger.  For this sample,\n    you can use the api key \"special-key\" to test the authorization filters",
    "apiRevision": "1",
    "displayName": "Swagger Sample App",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.wordnik.com/api",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

ApiManagementCreateApiUsingOai3Import

Voorbeeldaanvraag

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstore?api-version=2025-03-01-preview

{
  "properties": {
    "format": "openapi-link",
    "path": "petstore",
    "value": "https://raw.githubusercontent.com/OAI/OpenAPI-Specification/master/examples/v3.0/petstore.yaml"
  }
}

Voorbeeldrespons

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "petstoreapi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
  "properties": {
    "path": "petstore",
    "apiRevision": "1",
    "displayName": "Swagger Petstore",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.io/v1",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "petstoreapi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
  "properties": {
    "path": "petstore",
    "apiRevision": "1",
    "displayName": "Swagger Petstore",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.io/v1",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

ApiManagementCreateApiUsingOai3ImportWithTranslateRequiredQueryParametersConduct

Voorbeeldaanvraag

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstore?api-version=2025-03-01-preview

{
  "properties": {
    "format": "openapi-link",
    "path": "petstore",
    "translateRequiredQueryParameters": "template",
    "value": "https://raw.githubusercontent.com/OAI/OpenAPI-Specification/master/examples/v3.0/petstore.yaml"
  }
}

Voorbeeldrespons

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "petstoreapi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
  "properties": {
    "path": "petstore",
    "apiRevision": "1",
    "displayName": "Swagger Petstore",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.io/v1",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "petstoreapi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
  "properties": {
    "path": "petstore",
    "apiRevision": "1",
    "displayName": "Swagger Petstore",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.io/v1",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

ApiManagementCreateApiUsingSwaggerImport

Voorbeeldaanvraag

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstore?api-version=2025-03-01-preview

{
  "properties": {
    "format": "swagger-link-json",
    "path": "petstore",
    "value": "http://petstore.swagger.io/v2/swagger.json"
  }
}

Voorbeeldrespons

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "petstoreapi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
  "properties": {
    "path": "petstore",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/).  For this sample, you can use the api key `special-key` to test the authorization filters.",
    "apiRevision": "1",
    "displayName": "Swagger Petstore",
    "isCurrent": true,
    "protocols": [
      "http"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.io/v2",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "petstoreapi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
  "properties": {
    "path": "petstore",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/).  For this sample, you can use the api key `special-key` to test the authorization filters.",
    "apiRevision": "1",
    "displayName": "Swagger Petstore",
    "isCurrent": true,
    "protocols": [
      "http"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.io/v2",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

ApiManagementCreateApiUsingWadlImport

Voorbeeldaanvraag

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstore?api-version=2025-03-01-preview

{
  "properties": {
    "format": "wadl-link-json",
    "path": "collector",
    "value": "https://developer.cisco.com/media/wae-release-6-2-api-reference/wae-collector-rest-api/application.wadl"
  }
}

Voorbeeldrespons

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "collectorwadl",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/collectorwadl",
  "properties": {
    "path": "collector",
    "description": "",
    "apiRevision": "1",
    "displayName": "http://localhost:8080/collector-northbound",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://localhost:8080/collector-northbound",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "collectorwadl",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/collectorwadl",
  "properties": {
    "path": "collector",
    "description": "",
    "apiRevision": "1",
    "displayName": "http://localhost:8080/collector-northbound",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://localhost:8080/collector-northbound",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

ApiManagementCreateApiWithMultipleAuthServers

Voorbeeldaanvraag

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview

{
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "authenticationSettings": {
      "oAuth2AuthenticationSettings": [
        {
          "authorizationServerId": "authorizationServerId2283",
          "scope": "oauth2scope2580"
        },
        {
          "authorizationServerId": "authorizationServerId2284",
          "scope": "oauth2scope2581"
        }
      ]
    },
    "displayName": "apiname1463",
    "protocols": [
      "https",
      "http"
    ],
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}

Voorbeeldrespons

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": {
      "oAuth2": {
        "authorizationServerId": "authorizationServerId2283",
        "scope": "oauth2scope2580"
      },
      "oAuth2AuthenticationSettings": [
        {
          "authorizationServerId": "authorizationServerId2283",
          "scope": "oauth2scope2580"
        },
        {
          "authorizationServerId": "authorizationServerId2284",
          "scope": "oauth2scope2581"
        }
      ]
    },
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "apiRevision": "1",
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}

ApiManagementCreateApiWithMultipleOpenIdConnectProviders

Voorbeeldaanvraag

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview

{
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "authenticationSettings": {
      "openidAuthenticationSettings": [
        {
          "bearerTokenSendingMethods": [
            "authorizationHeader"
          ],
          "openidProviderId": "openidProviderId2283"
        },
        {
          "bearerTokenSendingMethods": [
            "authorizationHeader"
          ],
          "openidProviderId": "openidProviderId2284"
        }
      ]
    },
    "displayName": "apiname1463",
    "protocols": [
      "https",
      "http"
    ],
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}

Voorbeeldrespons

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": {
      "openid": {
        "bearerTokenSendingMethods": [
          "authorizationHeader"
        ],
        "openidProviderId": "openidProviderId2283"
      },
      "openidAuthenticationSettings": [
        {
          "bearerTokenSendingMethods": [
            "authorizationHeader"
          ],
          "openidProviderId": "openidProviderId2283"
        },
        {
          "bearerTokenSendingMethods": [
            "authorizationHeader"
          ],
          "openidProviderId": "openidProviderId2284"
        }
      ]
    },
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "apiRevision": "1",
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}

ApiManagementCreateApiWithOpenIdConnect

Voorbeeldaanvraag

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview

{
  "properties": {
    "path": "petstore",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/).  For this sample, you can use the api key `special-key` to test the authorization filters.",
    "authenticationSettings": {
      "openid": {
        "bearerTokenSendingMethods": [
          "authorizationHeader"
        ],
        "openidProviderId": "testopenid"
      }
    },
    "displayName": "Swagger Petstore",
    "protocols": [
      "https"
    ],
    "serviceUrl": "http://petstore.swagger.io/v2",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

Voorbeeldrespons

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "58da4c4ccdae970a08121230",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/58da4c4ccdae970a08121230",
  "properties": {
    "path": "petstore",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/).  For this sample, you can use the api key `special-key` to test the authorization filters.",
    "apiRevision": "1",
    "authenticationSettings": {
      "openid": {
        "bearerTokenSendingMethods": [
          "authorizationHeader"
        ],
        "openidProviderId": "testopenid"
      }
    },
    "displayName": "Swagger Petstore",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.io/v2",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "58da4c4ccdae970a08121230",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/58da4c4ccdae970a08121230",
  "properties": {
    "path": "petstore",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/).  For this sample, you can use the api key `special-key` to test the authorization filters.",
    "apiRevision": "1",
    "authenticationSettings": {
      "openid": {
        "bearerTokenSendingMethods": [
          "authorizationHeader"
        ],
        "openidProviderId": "testopenid"
      }
    },
    "displayName": "Swagger Petstore",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.io/v2",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

ApiManagementCreateGraphQLApi

Voorbeeldaanvraag

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview

{
  "properties": {
    "type": "graphql",
    "path": "graphql-api",
    "description": "apidescription5200",
    "displayName": "apiname1463",
    "protocols": [
      "http",
      "https"
    ],
    "serviceUrl": "https://api.spacex.land/graphql"
  }
}

Voorbeeldrespons

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "type": "graphql",
    "path": "graphql-api",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": null,
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "https://api.spacex.land/graphql",
    "subscriptionKeyParameterNames": null
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "type": "graphql",
    "path": "graphql-api",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": null,
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "https",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "https://api.spacex.land/graphql",
    "subscriptionKeyParameterNames": null
  }
}

ApiManagementCreateGrpcApi

Voorbeeldaanvraag

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview

{
  "properties": {
    "type": "grpc",
    "format": "grpc-link",
    "path": "grpc-api",
    "description": "apidescription5200",
    "displayName": "apiname1463",
    "protocols": [
      "https"
    ],
    "serviceUrl": "https://your-api-hostname/samples",
    "value": "https://raw.githubusercontent.com/kedacore/keda/main/pkg/scalers/externalscaler/externalscaler.proto"
  }
}

Voorbeeldrespons

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "type": "grpc",
    "path": "grpc-api",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": null,
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "https"
    ],
    "serviceUrl": "https://your-api-hostname/samples",
    "subscriptionKeyParameterNames": null
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "type": "grpc",
    "path": "grpc-api",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": null,
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "https"
    ],
    "serviceUrl": "https://your-api-hostname/samples",
    "subscriptionKeyParameterNames": null
  }
}

ApiManagementCreateODataApi

Voorbeeldaanvraag

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview

{
  "properties": {
    "type": "odata",
    "format": "odata-link",
    "path": "odata-api",
    "description": "apidescription5200",
    "displayName": "apiname1463",
    "protocols": [
      "http",
      "https"
    ],
    "serviceUrl": "https://services.odata.org/TripPinWebApiService",
    "value": "https://services.odata.org/TripPinWebApiService/$metadata"
  }
}

Voorbeeldrespons

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "type": "odata",
    "path": "odata-api",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": null,
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "https://services.odata.org/TripPinWebApiService",
    "subscriptionKeyParameterNames": null
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "type": "odata",
    "path": "odata-api",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": null,
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "https://services.odata.org/TripPinWebApiService",
    "subscriptionKeyParameterNames": null
  }
}

ApiManagementCreateSoapPassThroughApiUsingWsdlImport

Voorbeeldaanvraag

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi?api-version=2025-03-01-preview

{
  "properties": {
    "format": "wsdl-link",
    "path": "currency",
    "apiType": "soap",
    "value": "http://www.webservicex.net/CurrencyConvertor.asmx?WSDL",
    "wsdlSelector": {
      "wsdlEndpointName": "CurrencyConvertorSoap",
      "wsdlServiceName": "CurrencyConvertor"
    }
  }
}

Voorbeeldrespons

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "soapApi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi",
  "properties": {
    "type": "soap",
    "path": "currency",
    "apiRevision": "1",
    "displayName": "CurrencyConvertor",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://www.webservicex.net",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "soapApi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi",
  "properties": {
    "type": "soap",
    "path": "currency",
    "apiRevision": "1",
    "displayName": "CurrencyConvertor",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://www.webservicex.net",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

ApiManagementCreateSoapToRestApiUsingWsdlImport

Voorbeeldaanvraag

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi?api-version=2025-03-01-preview

{
  "properties": {
    "format": "wsdl-link",
    "path": "currency",
    "value": "http://www.webservicex.net/CurrencyConvertor.asmx?WSDL",
    "wsdlSelector": {
      "wsdlEndpointName": "CurrencyConvertorSoap",
      "wsdlServiceName": "CurrencyConvertor"
    }
  }
}

Voorbeeldrespons

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "soapApi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi",
  "properties": {
    "path": "currency",
    "apiRevision": "1",
    "displayName": "CurrencyConvertor",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://www.webservicex.net",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "soapApi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi",
  "properties": {
    "path": "currency",
    "apiRevision": "1",
    "displayName": "CurrencyConvertor",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://www.webservicex.net",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

ApiManagementCreateWebSocketApi

Voorbeeldaanvraag

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview

{
  "properties": {
    "type": "websocket",
    "path": "newapiPath",
    "description": "apidescription5200",
    "displayName": "apiname1463",
    "protocols": [
      "wss",
      "ws"
    ],
    "serviceUrl": "wss://echo.websocket.org"
  }
}

Voorbeeldrespons

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "type": "websocket",
    "path": "newapiPath",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": null,
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "ws",
      "wss"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "wss://echo.websocket.org",
    "subscriptionKeyParameterNames": null
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "type": "websocket",
    "path": "newapiPath",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": null,
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "ws",
      "wss"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "wss://echo.websocket.org",
    "subscriptionKeyParameterNames": null
  }
}

Definities

Name Description
ApiContactInformation

API-contactgegevens

ApiContract

API-gegevens.

ApiCreateOrUpdateParameter

API Parameters maken of bijwerken.

ApiCreateOrUpdatePropertiesWsdlSelector

Criteria om het importeren van WSDL te beperken tot een subset van het document.

ApiLicenseInformation

Informatie over API-licenties

ApiType

Type of API.

ApiVersionSetContractDetails

Een API-versieset bevat de algemene configuratie voor een set API-versies met betrekking tot

AuthenticationSettingsContract

Instellingen voor API-verificatie.

BearerTokenSendingMethods

Vorm van een autorisatietoekenning, die de client gebruikt om het toegangstoken aan te vragen.

ContentFormat

Indeling van de inhoud waarin de API wordt geïmporteerd. Nieuwe indelingen kunnen in de toekomst worden toegevoegd

createdByType

Het type identiteit waarmee de resource is gemaakt.

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

ErrorDetail

De foutdetails.

ErrorResponse

Foutreactie

OAuth2AuthenticationSettingsContract

Details van verificatie-instellingen voor API OAuth2.

OpenIdAuthenticationSettingsContract

Details van verificatie-instellingen voor API OAuth2.

Protocol
SoapApiType

Type API dat moet worden gemaakt.

  • http maakt een REST API aan
  • soap maakt een SOAP-passthrough-API aan
  • websocket maakt websocket API
  • graphql maakt GraphQL API. Nieuwe typen kunnen in de toekomst worden toegevoegd.
SubscriptionKeyParameterNamesContract

Details van de namen van de parameters van de abonnementssleutel.

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

TranslateRequiredQueryParametersConduct

Strategie voor het vertalen van vereiste queryparameters naar sjabloonparameters. Standaard heeft de waarde 'sjabloon'. Mogelijke waarden: 'template', 'query'

VersioningScheme

Een waarde die bepaalt waar de API-versie-id zich in een HTTP-aanvraag bevindt.

ApiContactInformation

API-contactgegevens

Name Type Description
email

string

Het e-mailadres van de contactpersoon/organisatie. MOET de indeling van een e-mailadres hebben

name

string

De identificatienaam van de contactpersoon/organisatie

url

string

De URL die verwijst naar de contactgegevens. MOET de indeling van een URL hebben

ApiContract

API-gegevens.

Name Type Description
id

string

Volledig gekwalificeerde resource-id voor de resource. Vb.: - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

De naam van de resource

properties.apiRevision

string

minLength: 1
maxLength: 100

Beschrijft de revisie van de API. Als er geen waarde is opgegeven, wordt standaardrevisie 1 gemaakt

properties.apiRevisionDescription

string

maxLength: 256

Beschrijving van de API-revisie.

properties.apiVersion

string

maxLength: 100

Geeft de versie-id van de API aan als de API is geversied

properties.apiVersionDescription

string

maxLength: 256

Beschrijving van de API-versie.

properties.apiVersionSet

ApiVersionSetContractDetails

Details van versieset

properties.apiVersionSetId

string

Een resource-id voor de gerelateerde ApiVersionSet.

properties.authenticationSettings

AuthenticationSettingsContract

Verzameling van verificatie-instellingen die zijn opgenomen in deze API.

properties.contact

ApiContactInformation

Contactgegevens voor de API.

properties.description

string

Beschrijving van de API. Kan HTML-opmaaktags bevatten.

properties.displayName

string

minLength: 1
maxLength: 300

API-naam. Moet 1 tot 300 tekens lang zijn.

properties.isCurrent

boolean

Geeft aan of API-revisie de huidige API-revisie is.

properties.isOnline

boolean

Geeft aan of API-revisie toegankelijk is via de gateway.

properties.license

ApiLicenseInformation

Licentiegegevens voor de API.

properties.path

string

minLength: 0
maxLength: 400

Relatieve URL die deze API en alle bijbehorende resourcepaden uniek identificeert binnen het API Management-service-exemplaar. Deze wordt toegevoegd aan de basis-URL van het API-eindpunt die is opgegeven tijdens het maken van het service-exemplaar om een openbare URL voor deze API te vormen.

properties.protocols

Protocol[]

Beschrijft op welke protocollen de bewerkingen in deze API kunnen worden aangeroepen.

properties.provisioningState

string

De inrichtingsstatus

properties.serviceUrl

string

minLength: 0
maxLength: 2000

Absolute URL van de back-endservice die deze API implementeert. Mag niet langer zijn dan 2000 tekens.

properties.sourceApiId

string

API-id van de bron-API.

properties.subscriptionKeyParameterNames

SubscriptionKeyParameterNamesContract

Protocollen over welke API beschikbaar wordt gemaakt.

properties.subscriptionRequired

boolean

Hiermee geeft u op of een API- of productabonnement vereist is voor toegang tot de API.

properties.termsOfServiceUrl

string

Een URL naar de servicevoorwaarden voor de API. MOET de indeling van een URL hebben.

properties.type

ApiType

Type of API.

systemData

systemData

Azure Resource Manager-metagegevens met createdBy- en modifiedBy-gegevens.

type

string

Het type bron. Bijvoorbeeld 'Microsoft.Compute/virtualMachines' of 'Microsoft.Storage/storageAccounts'

ApiCreateOrUpdateParameter

API Parameters maken of bijwerken.

Name Type Description
apiRevision

string

minLength: 1
maxLength: 100

Beschrijft de revisie van de API. Als er geen waarde is opgegeven, wordt standaardrevisie 1 gemaakt

apiRevisionDescription

string

maxLength: 256

Beschrijving van de API-revisie.

apiVersion

string

maxLength: 100

Geeft de versie-id van de API aan als de API is geversied

apiVersionDescription

string

maxLength: 256

Beschrijving van de API-versie.

apiVersionSetId

string

Een resource-id voor de gerelateerde ApiVersionSet.

authenticationSettings

AuthenticationSettingsContract

Verzameling van verificatie-instellingen die zijn opgenomen in deze API.

contact

ApiContactInformation

Contactgegevens voor de API.

description

string

Beschrijving van de API. Kan HTML-opmaaktags bevatten.

isCurrent

boolean

Geeft aan of API-revisie de huidige API-revisie is.

isOnline

boolean

Geeft aan of API-revisie toegankelijk is via de gateway.

license

ApiLicenseInformation

Licentiegegevens voor de API.

properties.apiType

SoapApiType

Type API dat moet worden gemaakt.

  • http maakt een REST API aan
  • soap maakt een SOAP-passthrough-API aan
  • websocket maakt websocket API
  • graphql maakt GraphQL API. Nieuwe typen kunnen in de toekomst worden toegevoegd.
properties.apiVersionSet

ApiVersionSetContractDetails

Details van versieset

properties.displayName

string

minLength: 1
maxLength: 300

API-naam. Moet 1 tot 300 tekens lang zijn.

properties.format

ContentFormat

Indeling van de inhoud waarin de API wordt geïmporteerd. Nieuwe indelingen kunnen in de toekomst worden toegevoegd

properties.path

string

minLength: 0
maxLength: 400

Relatieve URL die deze API en alle bijbehorende resourcepaden uniek identificeert binnen het API Management-service-exemplaar. Deze wordt toegevoegd aan de basis-URL van het API-eindpunt die is opgegeven tijdens het maken van het service-exemplaar om een openbare URL voor deze API te vormen.

properties.protocols

Protocol[]

Beschrijft op welke protocollen de bewerkingen in deze API kunnen worden aangeroepen.

properties.provisioningState

string

De inrichtingsstatus

properties.serviceUrl

string

minLength: 0
maxLength: 2000

Absolute URL van de back-endservice die deze API implementeert. Mag niet langer zijn dan 2000 tekens.

properties.sourceApiId

string

API-id van de bron-API.

properties.translateRequiredQueryParameters

TranslateRequiredQueryParametersConduct

Strategie voor het vertalen van vereiste queryparameters naar sjabloonparameters. Standaard heeft de waarde 'sjabloon'. Mogelijke waarden: 'template', 'query'

properties.value

string

Inhoudswaarde bij het importeren van een API.

properties.wsdlSelector

ApiCreateOrUpdatePropertiesWsdlSelector

Criteria om het importeren van WSDL te beperken tot een subset van het document.

subscriptionKeyParameterNames

SubscriptionKeyParameterNamesContract

Protocollen over welke API beschikbaar wordt gemaakt.

subscriptionRequired

boolean

Hiermee geeft u op of een API- of productabonnement vereist is voor toegang tot de API.

termsOfServiceUrl

string

Een URL naar de servicevoorwaarden voor de API. MOET de indeling van een URL hebben.

type

ApiType

Type of API.

ApiCreateOrUpdatePropertiesWsdlSelector

Criteria om het importeren van WSDL te beperken tot een subset van het document.

Name Type Description
wsdlEndpointName

string

Naam van eindpunt (poort) om te importeren uit WSDL

wsdlServiceName

string

De servicenaam die moet worden geïmporteerd uit WSDL

ApiLicenseInformation

Informatie over API-licenties

Name Type Description
name

string

De licentienaam die wordt gebruikt voor de API

url

string

Een URL naar de licentie die wordt gebruikt voor de API. MOET de indeling van een URL hebben

ApiType

Type of API.

Waarde Description
http
soap
websocket
graphql
odata
grpc

ApiVersionSetContractDetails

Een API-versieset bevat de algemene configuratie voor een set API-versies met betrekking tot

Name Type Description
description

string

Beschrijving van API-versieset.

id

string

Id voor bestaande API-versieset. Laat deze waarde weg om een nieuwe versieset te maken.

name

string

De weergavenaam van de API-versieset.

versionHeaderName

string

Naam van de HTTP-headerparameter die de API-versie aangeeft als versioningScheme is ingesteld op header.

versionQueryName

string

De naam van de queryparameter die de API-versie aangeeft als versioningScheme is ingesteld op query.

versioningScheme

VersioningScheme

Een waarde die bepaalt waar de API-versie-id zich in een HTTP-aanvraag bevindt.

AuthenticationSettingsContract

Instellingen voor API-verificatie.

Name Type Description
oAuth2

OAuth2AuthenticationSettingsContract

OAuth2-verificatie-instellingen

oAuth2AuthenticationSettings

OAuth2AuthenticationSettingsContract[]

Verzameling OAuth2-verificatie-instellingen die zijn opgenomen in deze API.

openid

OpenIdAuthenticationSettingsContract

OpenID Connect-verificatie-instellingen

openidAuthenticationSettings

OpenIdAuthenticationSettingsContract[]

Verzameling open ID Connect-verificatie-instellingen die zijn opgenomen in deze API.

BearerTokenSendingMethods

Vorm van een autorisatietoekenning, die de client gebruikt om het toegangstoken aan te vragen.

Waarde Description
authorizationHeader

Toegangstoken wordt verzonden in de Authorization-header met behulp van het Bearer-schema

query

Access-token wordt verzonden als queryparameters.

ContentFormat

Indeling van de inhoud waarin de API wordt geïmporteerd. Nieuwe indelingen kunnen in de toekomst worden toegevoegd

Waarde Description
wadl-xml

De inhoud is inline en het inhoudstype is een WADL-document.

wadl-link-json

Het WADL-document wordt gehost op een openbaar toegankelijk internetadres.

swagger-json

De inhoud is inline en het inhoudstype is een OpenAPI 2.0 JSON-document.

swagger-link-json

Het OpenAPI 2.0 JSON-document wordt gehost op een openbaar toegankelijk internetadres.

wsdl

De inhoud is inline en het document is een WSDL/Soap-document.

wsdl-link

Het WSDL-document wordt gehost op een openbaar toegankelijk internetadres.

openapi

De inhoud is inline en het inhoudstype is een OpenAPI 3.0 YAML-document.

openapi+json

De inhoud is inline en het inhoudstype is een OpenAPI 3.0 JSON-document.

openapi-link

Het OpenAPI 3.0 YAML-document wordt gehost op een openbaar toegankelijk internetadres.

openapi+json-link

Het OpenAPI 3.0 JSON-document wordt gehost op een openbaar toegankelijk internetadres.

graphql-link

Het GraphQL API-eindpunt dat wordt gehost op een openbaar toegankelijk internetadres.

odata

De inhoud is inline en het inhoudstype is een OData XML-document.

odata-link

Het OData-metagegevensdocument dat wordt gehost op een openbaar toegankelijk internetadres.

grpc

De inhoud is inline en het inhoudstype is een gRPC-protobuf-bestand.

grpc-link

Het gRPC-protobuf-bestand wordt gehost op een openbaar toegankelijk internetadres.

createdByType

Het type identiteit waarmee de resource is gemaakt.

Waarde Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

Name Type Description
info

object

De aanvullende informatie.

type

string

Het extra informatietype.

ErrorDetail

De foutdetails.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

De fout bevat aanvullende informatie.

code

string

De foutcode.

details

ErrorDetail[]

De foutdetails.

message

string

Het foutbericht.

target

string

Het foutdoel.

ErrorResponse

Foutreactie

Name Type Description
error

ErrorDetail

Het foutobject.

OAuth2AuthenticationSettingsContract

Details van verificatie-instellingen voor API OAuth2.

Name Type Description
authorizationServerId

string

OAuth-autorisatieserver-id.

scope

string

bewerkingsbereik.

OpenIdAuthenticationSettingsContract

Details van verificatie-instellingen voor API OAuth2.

Name Type Description
bearerTokenSendingMethods

BearerTokenSendingMethods[]

Token naar de server verzenden.

openidProviderId

string

OAuth-autorisatieserver-id.

Protocol

Waarde Description
http
https
ws
wss

SoapApiType

Type API dat moet worden gemaakt.

  • http maakt een REST API aan
  • soap maakt een SOAP-passthrough-API aan
  • websocket maakt websocket API
  • graphql maakt GraphQL API. Nieuwe typen kunnen in de toekomst worden toegevoegd.
Waarde Description
http

Importeert een SOAP-API met een RESTful-front-end.

soap

Importeert de SOAP-API met een SOAP-front-end.

websocket

Importeert de API met een Websocket-front-end.

graphql

Importeert de API met een GraphQL front-end.

odata

Importeert de API met een OData-front-end.

grpc

Importeert de API met een gRPC-front-end.

SubscriptionKeyParameterNamesContract

Details van de namen van de parameters van de abonnementssleutel.

Name Type Description
header

string

Naam van abonnementssleutelheader.

query

string

Naam van queryreeksparameter voor abonnementssleutel.

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

Name Type Description
createdAt

string (date-time)

De tijdstempel van het maken van resources (UTC).

createdBy

string

De identiteit waarmee de resource is gemaakt.

createdByType

createdByType

Het type identiteit waarmee de resource is gemaakt.

lastModifiedAt

string (date-time)

De tijdstempel van de laatste wijziging van de resource (UTC)

lastModifiedBy

string

De identiteit die de resource voor het laatst heeft gewijzigd.

lastModifiedByType

createdByType

Het type identiteit dat de resource voor het laatst heeft gewijzigd.

TranslateRequiredQueryParametersConduct

Strategie voor het vertalen van vereiste queryparameters naar sjabloonparameters. Standaard heeft de waarde 'sjabloon'. Mogelijke waarden: 'template', 'query'

Waarde Description
template

Vertaalt vereiste queryparameters naar sjabloonparameters. Is een standaardwaarde

query

Laat de vereiste queryparameters ongewijzigd (geen vertaling uitgevoerd).

VersioningScheme

Een waarde die bepaalt waar de API-versie-id zich in een HTTP-aanvraag bevindt.

Waarde Description
Segment

De API-versie wordt doorgegeven in een padsegment.

Query

De API-versie wordt doorgegeven in een queryparameter.

Header

De API-versie wordt doorgegeven in een HTTP-header.